#ifndef CHARACTER_H
#define CHARACTER_H

#include <string>

class CCharacter
{
public:
    enum EBodyParts
    {
        eBodyPartHead = 0,
        eBodyPartNeck,
        eBodyPartTorso,
        eBodyPartLeftHand,
        eBodyPartRightHand,
        eBodyPartLegs,
        eBodyPartFeets,
        eBodyPartCount
    };

    enum EStatsNames
    {
        eStatHealth = 0,
        eStatStamina,
        eStatMana,
        eStatStrength,
        eStatDexterity,
        eStatWisdom,
        eStatAntiFire,
        eStatAntiMagic,
        eStatLoad,
        eStatCount
    };

    struct SStat
    {
        int value;
        int maxValue;
        int startValue;
    };

    CCharacter();
    bool    isDead();

    int     picture;
    std::string name;
    SStat   stats[eStatCount];
    int     bodyObjects[eBodyPartCount];
};

#endif // CHARACTER_H
